<?php

include ('db.php');
$idprod = $_POST['idprod'];

$query = "SELECT id, status, data, TIME_TO_SEC(TIMEDIFF(NOW(),data)) tempo "
        . " FROM creditos WHERE idprod = '$idprod' "
        . " ORDER BY data DESC LIMIT 1";
$result = mysql_query($query) or die(mysql_error());
$num_rows = mysql_num_rows($result);
$row = mysql_fetch_array($result);

if ($num_rows == 0 || ($row['tempo'] > 60 && $row['status'] == 1)) {

    $query = "DELETE FROM creditos WHERE idprod='" . $idprod . "'";
    $result = mysql_query($query) or die(mysql_error());

    echo json_encode(array('success' => 0, 'msg' => 'Não foi possível completar a operação, tempo limite atingido, verifique a conexão do tablet e tente novamente.'));
    exit;
} elseif ($row['status'] == 0) {

    echo json_encode(array('success' => 1, 'msg' => 'Operação efetuada com sucesso!'));
    exit;
} elseif ($row['status'] == 1) {

    echo json_encode(array('success' => 3, 'msg' => 'Nova tentativa'));
    exit;
}

exit;
